Show / Hide Table of Contents

# Class RestUserGuild

##### Inheritance

System.Object
RestEntity<System.UInt64>
RestUserGuild

##### Implements

IUserGuild
IDeletable
ISnowflakeEntity
IEntity<System.UInt64>

##### Inherited Members

RestEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestUserGuild : RestEntity<ulong>, IUserGuild, IDeletable, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### CreatedAt

##### Declaration

    public DateTimeOffset CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset |

| Improve this Doc View Source

#### IconUrl

##### Declaration

    public string IconUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### IsOwner

##### Declaration

    public bool IsOwner { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Permissions

##### Declaration

    public GuildPermissions Permissions { get; }

##### Property Value

Type | Description
--- | ---
GuildPermissions |

### Methods

| Improve this Doc View Source

#### DeleteAsync(RequestOptions)

##### Declaration

    public Task DeleteAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### LeaveAsync(RequestOptions)

##### Declaration

    public Task LeaveAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Implements

IUserGuild
IDeletable
ISnowflakeEntity
IEntity<TId>